Bug 71336 - "line up icons" with xinerama with different screen sizes causes icons to be moved off screen vertically
Summary: "line up icons" with xinerama with different screen sizes causes icons to be ...
Status: CLOSED UNMAINTAINED
Alias: None
Product: kdesktop
Classification: Miscellaneous
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-12-28 00:59 UTC by Dominique Devriese
Modified: 2009-01-02 20:26 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Screenshot without "Align to Grid" enabled. (15.07 KB, image/png)
2007-02-11 22:36 UTC, Markus Gaugusch
Details
Screenshot after "Align to Grid" got enabled. (18.64 KB, image/png)
2007-02-11 22:37 UTC, Markus Gaugusch
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Devriese 2003-12-28 00:59:57 UTC
Version:            (using KDE KDE 3.1.4)
Installed from:    Debian testing/unstable Packages

Hi,

This is a forward of this Debian bug report:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=225173

"With xinerama enabled, if the left display is smaller than the right
display, sorting icons causes some icons to be moved off screen
vertically."

thanks
domi
Comment 1 Markus Gaugusch 2007-02-11 22:32:37 UTC
I can reproduce this bug with KDE 3.5.6 on SuSE 10.2.
I have 1024x768 on the left screen (secondary, for me) and 1280x1024 on the right one (primary, with kicker panel).
The bug is exposed when I select "Icons->Align to Grid" on the context menu of the desktop. All icons are moved to the left screen and cannot be moved afterwards to the left screen. Turning off the "Align to Grid" feature makes me able to move icons again.
The following to attachments (screenshots) will illustrate this problem.
Comment 2 Markus Gaugusch 2007-02-11 22:36:58 UTC
Created attachment 19629 [details]
Screenshot without "Align to Grid" enabled.
Comment 3 Markus Gaugusch 2007-02-11 22:37:23 UTC
Created attachment 19630 [details]
Screenshot after "Align to Grid" got enabled.
Comment 4 FiNeX 2008-12-10 02:06:50 UTC
Kdesktop is no more mantained. Fortunatly this bug seems not to be valid for KDE 4. Please reopen if this bug is not a kdesktop one (and it is not solved) or it can be reproduced on KDE 4.
Comment 5 FiNeX 2009-01-02 20:26:29 UTC
Bug closed. Kdesktop is no more mantained.